from django.db import models


class CodeRuleManager(models.Manager):
    """
    The manager for the CodeRule model.
    """
    use_in_migrations = True

    def get_by_natural_key(self, pk):
        return self.get(pk=pk)


class SampleManager(models.Manager):
    """
    The manager for the Sample model.
    """
    use_in_migrations = True

    def get_by_natural_key(self, pk):
        return self.get(pk=pk)


class SampleOperationManager(models.Manager):
    """
    The manager for the Sample Operation model.
    """
    use_in_migrations = True

    def get_by_natural_key(self, pk):
        return self.get(pk=pk)


class AreaManager(models.Manager):
    """
    The manager for the Area model.
    """
    use_in_migrations = True

    def get_by_natural_key(self, pk):
        return self.get(pk=pk)


class RefrigeratorManager(models.Manager):
    """
    The manager for the Refrigerator model.
    """
    use_in_migrations = True

    def get_by_natural_key(self, pk):
        return self.get(pk=pk)


class FrozenFrameManager(models.Manager):
    """
    The manager for the Frozen Frame model.
    """
    use_in_migrations = True

    def get_by_natural_key(self, pk):
        return self.get(pk=pk)


class FrozenBoxManager(models.Manager):
    """
    The manager for the Frozen Box model.
    """
    use_in_migrations = True

    def get_by_natural_key(self, pk):
        return self.get(pk=pk)