from rest_framework import serializers


class ACSSerializer(serializers.Serializer):
    url = serializers.CharField()
    uri = serializers.CharField()
    xcakey = serializers.CharField()
    payload = serializers.DictField()


class AliyunNLPSerializer(serializers.Serializer):
    access_key_id = serializers.CharField()
    access_key_secret = serializers.CharField()
    endpoint = serializers.CharField()
    api_version = serializers.CharField()
    region_id = serializers.CharField()
    model_id = serializers.CharField()
    model_version = serializers.CharField()
    content = serializers.CharField()


