from rest_framework import serializers


class TextSerializer(serializers.Serializer):
    text = serializers.CharField()


class OneMatchManySerializer(serializers.Serializer):
    source = serializers.CharField()
    targets = serializers.ListSerializer(child=serializers.CharField())


class ManyMatchOneSerializer(serializers.Serializer):
    sources = serializers.ListSerializer(child=serializers.CharField())
    target = serializers.CharField()


class SearchSimilaritySerializer(serializers.Serializer):
    source = serializers.CharField()
    targets = serializers.ListSerializer(child=serializers.CharField())

