from django.db import models


class TagManager(models.Manager):

    use_in_migrations = True

    def get_by_natural_key(self, pk):
        return self.get(pk=pk)


class FormManager(models.Manager):

    use_in_migrations = True

    def get_by_natural_key(self, pk):
        return self.get(pk=pk)


class VocabManager(models.Manager):

    use_in_migrations = True

    def get_by_natural_key(self, pk):
        return self.get(pk=pk)


class EntryManager(models.Manager):

    use_in_migrations = True

    def get_by_natural_key(self, key):
        return self.get(key=key)

    def check_unique(self, vocab, key):
        return self.get(vocab=vocab, key=key)


class ConfigManager(models.Manager):

    use_in_migrations = True

    def get_by_natural_key(self, pk):
        return self.get(pk=pk)