from rest_framework.authentication import BasicAuthentication

from dj_rest_auth import views
from dj_rest_auth.registration import views as registration_views


class LoginView(views.LoginView):
    authentication_classes = [BasicAuthentication]


class RegisterView(registration_views.RegisterView):
    authentication_classes = [BasicAuthentication]

